Bug 460537 - The Maliit virtual keyboard will not automatically pop up when using Firefox until it pops up in another app first
Summary: The Maliit virtual keyboard will not automatically pop up when using Firefox ...
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Plasma
Component: virtual-keyboard (show other bugs)
Version: 5.26.0
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords: wayland
Depends on:
Blocks:
 
Reported: 2022-10-16 14:09 UTC by kelnio@yahoo.com
Modified: 2022-10-24 13:21 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.26.2


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description kelnio@yahoo.com 2022-10-16 14:09:13 UTC
SUMMARY
On a touchscreen device, the Maliit virtual keyboard will not automatically pop up when using Firefox, like it used to on 5.25.x. Another application that uses the virtual keyboard, like Konsole, needs to be opened in order for Maliit to work properly in Firefox.


STEPS TO REPRODUCE
1. Set Maliit as the virtual keyboard in the Input Devices KCM
2. Open Firefox and touch the URL area, Maliit doesn't pop up
3. Open Konsole and Maliit pops up. Afterwards, switch back to Firefox and Maliit works properly

OBSERVED RESULT
Maliit will not open properly for Firefox unless another application that uses Maliit is running. If Firefox is ran alone, the input method indicator in the panel shows an "up" arrow when Maliit is called, but the keyboard doesn't appear until another application that uses it, like Konsole, is opened.

EXPECTED RESULT
The Maliit keyboard appears every time an input area is selected in Firefox without the need for opening another application.

SOFTWARE/OS VERSIONS
Operating System: EndeavourOS (Arch Linux)
KDE Plasma Version: 5.26.0
KDE Frameworks Version: 5.99.0
Qt Version: 5.15.6
Kernel Version: 6.0.1-arch2-1-surface (64-bit)
Graphics Platform: Wayland
Processors: 8 × 11th Gen Intel® Core™ i5-1135G7 @ 2.40GHz
Memory: 15.5 GiB of RAM
Graphics Processor: Mesa Intel® Xe Graphics
Manufacturer: Microsoft Corporation
Product Name: Surface Pro 8

ADDITIONAL INFORMATION
Comment 1 Nate Graham 2022-10-17 19:51:18 UTC
I can reproduce that.
Comment 2 Zamundaaa 2022-10-21 19:48:05 UTC
https://invent.kde.org/plasma/kwin/-/merge_requests/3049 should fix it
Comment 3 Nate Graham 2022-10-22 04:08:58 UTC
Fixed by Xuetian Weng with https://invent.kde.org/plasma/kwin/-/commit/90df07157b0564e220ea7ffbe5eb032efa61b74d in Plasma 5.26.2!
Comment 4 Zamundaaa 2022-10-24 11:45:25 UTC
Git commit 75806ecff544ae3305593532e9e99b4af7333d40 by Xaver Hugl.
Committed on 24/10/2022 at 10:53.
Pushed by zamundaaa into branch 'master'.

inputpanelv1window: show window when client maps it after setting the mode

M  +1    -1    src/effects.cpp
M  +5    -3    src/inputmethod.cpp
M  +28   -25   src/inputpanelv1window.cpp
M  +5    -2    src/inputpanelv1window.h

https://invent.kde.org/plasma/kwin/commit/75806ecff544ae3305593532e9e99b4af7333d40
Comment 5 Zamundaaa 2022-10-24 13:21:55 UTC
Git commit efb27c78cbf221334b33b5a6f4c8d5c8573a475f by Xaver Hugl.
Committed on 24/10/2022 at 13:21.
Pushed by zamundaaa into branch 'Plasma/5.26'.

inputpanelv1window: show window when client maps it after setting the mode


(cherry picked from commit 75806ecff544ae3305593532e9e99b4af7333d40)

M  +1    -1    src/effects.cpp
M  +5    -3    src/inputmethod.cpp
M  +28   -25   src/inputpanelv1window.cpp
M  +5    -2    src/inputpanelv1window.h

https://invent.kde.org/plasma/kwin/commit/efb27c78cbf221334b33b5a6f4c8d5c8573a475f